Name:       tidl
Summary:    Tizen Interface Definition Language
Version:    1.3.12
Release:    1
Group:      Application Framework/Building
License:    Apache-2.0
Source0:    %{name}-%{version}.tar.gz
Source1001: %{name}.manifest
Source1002: %{name}-tests.manifest

Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig

BuildRequires:  cmake
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  gtest-devel
BuildRequires:  pkgconfig(glib-2.0)
%if 0%{?gcov:1}
BuildRequires:  lcov
%endif

%description
Tizen Interface Definition Language

%package tests
Summary:    Unit tests for TIDL
Requires:   %{name} = %{version}

%description tests
Unit tests for TIDL

%define _share_dir /opt/usr/share

%prep
%setup -q
cp %{SOURCE1001} .
cp %{SOURCE1002} .

%build
%if 0%{?gcov:1}
export CFLAGS+=" -fprofile-arcs -ftest-coverage"
export CXXFLAGS+=" -fprofile-arcs -ftest-coverage"
export FFLAGS+=" -fprofile-arcs -ftest-coverage"
export LDFLAGS+=" -lgcov"
%endif

MAJORVER=`echo %{version} | awk 'BEGIN {FS="."}{print $1}'`
%cmake . -DFULLVER=%{version} -DMAJORVER=${MAJORVER}
%__make %{?_smp_mflags}

%check
ctest --output-on-failure %{?_smp_mflags}
%if 0%{?gcov:1}
lcov -c --ignore-errors graph --no-external -q -d . -o gcov.info
genhtml gcov.info
%endif

%install
rm -rf %{buildroot}
%make_install

%preun

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%license LICENSE
%manifest %{name}.manifest
%{_bindir}/tidlc

%files tests
%manifest %{name}.manifest
%{_bindir}/*
%{_share_dir}/*
